'use strict';

exports.__esModule = true;
var invariantFor = function invariantFor(type) {
  return function (condition, parameter, value, message) {
    var source = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : '/image_transformation_reference#' + parameter + '_parameter';

    if (!condition) {
      value = typeof value === 'string' ? '\'' + value + '\'' : value;
      source = source ? 'http://cloudinary.com/documentation' + source : null;
      throw new Error('Cloudinary ' + type + ':: ' + parameter + ' ' + message + ', received: ' + value + (source ? ' - see ' + source : ''));
    }
  };
};

var invariant = exports.invariant = invariantFor('');
var invariantImage = exports.invariantImage = invariantFor('Image ');
var invariantVideo = exports.invariantVideo = invariantFor('Video ');

var isNumber = exports.isNumber = function isNumber(value) {
  return typeof value === 'number' || !Number.isNaN(Number(value));
};

var startsWith = exports.startsWith = function startsWith(needle, haystack) {
  return haystack.indexOf(needle) === 0;
};

var includes = exports.includes = function includes(needle, haystack) {
  return haystack.indexOf(needle) > -1;
};

var shouldBeOneOf = exports.shouldBeOneOf = function shouldBeOneOf(possibleValues) {
  return 'should be one of [\'' + possibleValues.join('\', \'') + '\']';
};